Index: source/freeparkingspace/src/main/java/com/proekt/Service/AdminService.java
===================================================================
--- source/freeparkingspace/src/main/java/com/proekt/Service/AdminService.java	(revision 31d67c0f0c6f25d3f0f116f6d94283ade221e11d)
+++ source/freeparkingspace/src/main/java/com/proekt/Service/AdminService.java	(revision 31d67c0f0c6f25d3f0f116f6d94283ade221e11d)
@@ -0,0 +1,8 @@
+package com.proekt.Service;
+
+import com.proekt.model.Admin.Administrator;
+import com.proekt.model.Vraboten.Vraboten;
+
+public interface AdminService {
+    public Administrator delete(String id);
+}
Index: source/freeparkingspace/src/main/java/com/proekt/Service/EmployeeService.java
===================================================================
--- source/freeparkingspace/src/main/java/com/proekt/Service/EmployeeService.java	(revision 31d67c0f0c6f25d3f0f116f6d94283ade221e11d)
+++ source/freeparkingspace/src/main/java/com/proekt/Service/EmployeeService.java	(revision 31d67c0f0c6f25d3f0f116f6d94283ade221e11d)
@@ -0,0 +1,7 @@
+package com.proekt.Service;
+
+import com.proekt.model.Vraboten.Vraboten;
+
+public interface EmployeeService{
+    public Vraboten delete(String id);
+}
Index: source/freeparkingspace/src/main/java/com/proekt/Service/KontrolerService.java
===================================================================
--- source/freeparkingspace/src/main/java/com/proekt/Service/KontrolerService.java	(revision 31d67c0f0c6f25d3f0f116f6d94283ade221e11d)
+++ source/freeparkingspace/src/main/java/com/proekt/Service/KontrolerService.java	(revision 31d67c0f0c6f25d3f0f116f6d94283ade221e11d)
@@ -0,0 +1,7 @@
+package com.proekt.Service;
+
+import com.proekt.model.Kontroler.Kontroler;
+
+public interface KontrolerService {
+    public Kontroler delete(String id);
+}
Index: source/freeparkingspace/src/main/java/com/proekt/Service/ServiceImpl/AdminServiceImpl.java
===================================================================
--- source/freeparkingspace/src/main/java/com/proekt/Service/ServiceImpl/AdminServiceImpl.java	(revision 31d67c0f0c6f25d3f0f116f6d94283ade221e11d)
+++ source/freeparkingspace/src/main/java/com/proekt/Service/ServiceImpl/AdminServiceImpl.java	(revision 31d67c0f0c6f25d3f0f116f6d94283ade221e11d)
@@ -0,0 +1,32 @@
+package com.proekt.Service.ServiceImpl;
+
+import com.proekt.Repository.AdministratorRepository;
+import com.proekt.Repository.NajavaRepository;
+import com.proekt.Service.AdminService;
+import com.proekt.Service.EmployeeService;
+import com.proekt.model.Admin.AdminKey;
+import com.proekt.model.Admin.Administrator;
+import com.proekt.model.Najava;
+import org.springframework.stereotype.Service;
+
+@Service
+public class AdminServiceImpl implements AdminService {
+
+    private final NajavaRepository najavaRepository;
+    private final AdministratorRepository administratorRepository;
+
+    public AdminServiceImpl(NajavaRepository najavaRepository, AdministratorRepository administratorRepository) {
+        this.najavaRepository = najavaRepository;
+        this.administratorRepository = administratorRepository;
+    }
+
+    @Override
+    public Administrator delete(String id) {
+        Najava najava2 = najavaRepository.findById(id).get();
+        AdminKey vrabotenKey1 = new AdminKey(najava2);
+        Administrator vraboten3 = administratorRepository.findById(vrabotenKey1).get();
+        this.administratorRepository.delete(vraboten3);
+        return vraboten3;
+    }
+
+}
Index: source/freeparkingspace/src/main/java/com/proekt/Service/ServiceImpl/EmployeeServiceImpl.java
===================================================================
--- source/freeparkingspace/src/main/java/com/proekt/Service/ServiceImpl/EmployeeServiceImpl.java	(revision 31d67c0f0c6f25d3f0f116f6d94283ade221e11d)
+++ source/freeparkingspace/src/main/java/com/proekt/Service/ServiceImpl/EmployeeServiceImpl.java	(revision 31d67c0f0c6f25d3f0f116f6d94283ade221e11d)
@@ -0,0 +1,31 @@
+package com.proekt.Service.ServiceImpl;
+
+import com.proekt.Repository.NajavaRepository;
+import com.proekt.Repository.VrabotenRepository1;
+import com.proekt.Service.EmployeeService;
+import com.proekt.model.Najava;
+import com.proekt.model.Vraboten.Vraboten;
+import com.proekt.model.Vraboten.VrabotenKey;
+import org.springframework.stereotype.Service;
+
+@Service
+public class EmployeeServiceImpl implements EmployeeService {
+
+    private final NajavaRepository najavaRepository;
+    private final VrabotenRepository1 vrabotenRepository1;
+
+    public EmployeeServiceImpl(NajavaRepository najavaRepository, VrabotenRepository1 vrabotenRepository1) {
+        this.najavaRepository = najavaRepository;
+        this.vrabotenRepository1 = vrabotenRepository1;
+    }
+
+    @Override
+    public Vraboten delete(String id) {
+        Najava najava2 = najavaRepository.findById(id).get();
+        VrabotenKey vrabotenKey1 = new VrabotenKey(najava2);
+        Vraboten vraboten3 = vrabotenRepository1.findById(vrabotenKey1).get();
+        this.vrabotenRepository1.delete(vraboten3);
+        return vraboten3;
+    }
+
+}
